中危 Rails SQL注入漏洞(CVE-2023-22794)

CVE编号

CVE-2023-22794

利用情况

暂无

补丁情况

官方补丁

披露时间

2023-01-20
漏洞描述
Rails 的ActiveRecord 可能存在SQL注入漏洞,如果恶意用户输入被传递给 annotate 查询方法、optimizer_hints 查询方法,或者通过自动添加注释的 QueryLogs 接口,它可能会被发送到没有充分清理的数据库,并且能够在注释之外注入 SQL。
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 activerecord_project activerecord * From
(including)
6.0.0
Up to
(excluding)
6.0.6.1
运行在以下环境
应用 activerecord_project activerecord * From
(including)
6.1.0
Up to
(excluding)
6.1.7.1
运行在以下环境
应用 activerecord_project activerecord * From
(including)
7.0.0
Up to
(excluding)
7.0.4.1
运行在以下环境
系统 debian_10 rails * Up to
(excluding)
5.2.2.1+dfsg-1+deb10u5
运行在以下环境
系统 debian_11 rails * Up to
(excluding)
6.0.3.7+dfsg-2+deb11u1
运行在以下环境
系统 debian_12 rails * Up to
(excluding)
6.1.7.3+dfsg-1
运行在以下环境
系统 fedora_38 rubygem-actioncable * Up to
(excluding)
7.0.4.2-1.fc38
运行在以下环境
系统 rocky_linux_8 libdb-cxx * Up to
(excluding)
5.3.28-42.el8_4
阿里云评分
6.1
  • 攻击路径
    本地
  • 攻击复杂度
    容易
  • 权限要求
    普通权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-89 SQL命令中使用的特殊元素转义处理不恰当(SQL注入)
阿里云安全产品覆盖情况